<app-loading *ngIf='isLoading'></app-loading>
<section class='assign-target-all-employee'>
    <form-search-employee-component
      [isJanuary]="true"
      [isJob]='false' [isOrgId]='false'
                                    (getListSearchDataEmployee)='receiveDataEmployee($event)'
                                    [isStatusEmployee]='true'
                                    isStatusEmployeeText="{{ 'goaManagement.assign-target-to-all-employees.label.table.notYetSendConfirmAssign' | translate }}"
    >
    </form-search-employee-component>

    <nz-table #colSpanTable [nzData]='listDataEmployeeAssign?.dto'
              [nzScroll]="{ x: '10em', y: '35em' }" nzSize='small'
              [nzShowPagination]="false"
              nzTableLayout="fixed" [nzPageSize]="listDataEmployeeAssign?.dto ? listDataEmployeeAssign.dto.length : 1000"
              class="data-table ant-table-content"
    >
        <thead>
        <tr>
            <th
                *ngFor='let column of InitColumnHeaderTable'
                [nzSortOrder]='column.sortOrder'
                [nzSortFn]='column.sortFn'
                [nzSortDirections]='column.sortDirections'
                [nzWidth]='column.nzWidth'
                nzCustomFilter
                [nzColumnKey]='column.name'
                scope="col"
            >
                {{ column.name }}
            </th>
            <ng-container>
                <th
                    *ngFor='let period of listDataEmployeeAssign?.periodsOfYear; index as a'
                    style='width: 110px'
                >
                     Chỉ tiêu {{ period.periodName }}
                </th>
            </ng-container>
            <th>Diễn giải</th>
        </tr>
        </thead>
        <tbody>
        <ng-container *ngFor='let data of colSpanTable.data; index as i'>
            <tr>
                <td><span>{{i + 1}}</span></td>
                <td class="no-wrap" nz-tooltip [nzTooltipTitle]="data?.empCode">
                    <span>{{ data?.empCode }}</span>
                </td>
                <td class="no-wrap" nz-tooltip [nzTooltipTitle]="data?.fullName">
                    <span>{{ data?.fullName }}</span>
                </td>
                <td class="no-wrap" nz-tooltip [nzTooltipTitle]="data?.sotName">{{ data?.sotName }}</td>
                <td nz-tooltip [nzTooltipTitle]="data?.scoreCard">{{ data?.scoreCard }}</td>
                <td class="no-wrap" nz-tooltip [nzTooltipTitle]="data?.tarName">
                    <span>{{ data?.tarName }}</span>
                </td>
                <td>
                    {{data?.targetScale ?  ( data?.targetScale * 100 | number: '1.0-0' ) : 0}}
                </td>
                <td class="no-wrap" nz-tooltip [nzTooltipTitle]="data?.targetTypeName">
                  <span>{{ data?.targetTypeName }}</span>
                </td>
                <ng-container *ngFor='let el of data.periodInfos'>
                    <td>
                        <ng-container *ngIf='!data.subs && el.isHavePeriod'>
                            <mb-input-text
                                            appNumberic
                                            [num]="100"
                                            [decimals]="2"
                                           [ngModel]="el.estimateNum | covertNumberString0"
                                           [mbType]="el?.errMessage ? 'error' : 'default'"
                                           (ngModelChange)='setValueEstimateNum($event,data, el)'
                            >
                            </mb-input-text>
                            <span *ngIf='el?.errMessage'>
                                <em nz-icon nzType='close-circle' style='color: #ff4d4f;' nzTheme='outline'></em>
                                <span style='color: #ff4d4f;padding-left: 10px;'>Giao chỉ tiêu bắt buộc nhập</span>
                            </span>
                        </ng-container>
                    </td>
                </ng-container>
                <td nzWidth='6em'>
                    <mb-input-text mbInputType='text' [mbShowFlexEnd]='false'
                                   *ngIf='!data.subs'
                                   (ngModelChange)="setValueDescription($event, data)"
                                   [ngModel]='data?.description'></mb-input-text>
                </td>
            </tr>
            <ng-container *ngIf='data?.subs && data?.subs.length > 0'>
                <tr *ngFor='let item of data.subs; index as j'>
                    <td>&nbsp;</td>
                    <td class="no-wrap" nz-tooltip [nzTooltipTitle]="data?.empCode">{{ data?.empCode }}</td>
                    <td class="no-wrap" nz-tooltip [nzTooltipTitle]="data?.fullName">{{ data?.fullName }}</td>
                    <td class="no-wrap" nz-tooltip [nzTooltipTitle]="data?.sotName">{{ data?.sotName }}</td>
                    <td class="no-wrap" nz-tooltip [nzTooltipTitle]="data?.scoreCard">{{ item?.scoreCard }}</td>
                    <td nz-tooltip [nzTooltipTitle]="data?.tarName">
                        <p style='margin-left: 1rem'>&#8226; {{ item.tarName }}</p>
                    </td>
                    <td>{{ item?.targetScale ? (item?.targetScale * 100 | number: '1.0-0' ) : 0 }}</td>
                    <td class="no-wrap" nz-tooltip [nzTooltipTitle]="item?.targetTypeName">
                      <span>{{ item?.targetTypeName }}</span>
                    </td>
                    <ng-container *ngFor='let elSub of item.periodInfos'>
                        <td nzWidth='6em' style='padding-left: 2em'>
                            <mb-input-text
                                            appNumberic
                                            [num]="100"
                                            [decimals]="2"
                                            [ngModel]="elSub.estimateNum | covertNumberString0"
                                            (ngModelChange)="setValueEstimateNum($event,data, elSub)"
                                            *ngIf='elSub.isHavePeriod'
                                            [mbType]="elSub?.errMessage ? 'error' : 'default'"
                            >
                            </mb-input-text>
                            <div style='display: flex; align-items: center;margin-top: 10px;' *ngIf='elSub.isHavePeriod && elSub?.errMessage'>
                                <em nz-icon nzType='close-circle' style='color: #ff4d4f;' nzTheme='outline'></em>
                                <span style='color: #ff4d4f;padding-left: 10px;'>Giao chỉ tiêu bắt buộc nhập</span>
                            </div>
                        </td>
                    </ng-container>
                    <td>
                        <mb-input-text mbInputType='text' [mbShowFlexEnd]='false'
                                       [ngModel]='item?.description'
                                       (ngModelChange)="setValueDescription($event, item)"
                        ></mb-input-text>
                    </td>
                </tr>
            </ng-container>
        </ng-container>
        </tbody>
    </nz-table>

    <div class='content-header' *ngIf='objFunction?.edit'>
        <mb-button
            mbButtonTextColor='#141ED2'
            (click)='sendEmployees()'
            mbButtonSize='MEDIUM'
            mbButtonText="{{ 'common.button.sendEmployee' | translate }}"
        >
        </mb-button>
        <mb-button
            mbButtonType='NO_BORDER'
            (click)='saveEmployees()'
            mbButtonSize='LARGE'
            mbButtonText="{{ 'common.button.saveS' | translate }}"
            mbButtonAvailableStyle='PRIMARY'
        >
        </mb-button>
    </div>
</section>

